---
lang: en
title: 'API docs: metadata.inspectionoptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/metadata
permalink: /doc/en/lb4/apidocs.metadata.inspectionoptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metadata](./metadata.md) &gt; [InspectionOptions](./metadata.inspectionoptions.md)

## InspectionOptions interface

Options for inspection

**Signature:**

```typescript
export interface InspectionOptions 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[ownMetadataOnly?](./metadata.inspectionoptions.ownmetadataonly.md)


</td><td>


</td><td>

boolean


</td><td>

_(Optional)_ Only inspect own metadata of a given target. The prototype chain will not be checked. The implementation uses `Reflect.getOwnMetadata()` if the flag is set to `true`<!-- -->. Otherwise, it uses `Reflect.getMetadata()`<!-- -->.

The flag is `false` by default for `MetadataInspector`<!-- -->.


</td></tr>
</tbody></table>


